<?php
/*
 * Plugin Name:       Woo Automatic Topmenu (EasyToolsWP)
 * Description:       Adds a custom menu with specified styles.
 * Version:           1.0.1
 * Requires at least: 6.6
 * Author:            EasyToolsWP.com
 * Requires Plugins:  woocommerce
 */

function add_custom_menu_styles() {
    echo '<style>
.bland-selv-menu {
	box-sizing: border-box;
    width: 100%;
    z-index: 9999;
    position: inherit;
	text-align:center!important;
}
.bland-selv-menu h5 {
	display:none;
}

.bland-selv-menu > div ul {
	list-style-type: none;
    padding: 0;
    margin: 0;
    text-align:center!important;
}
.bland-selv-menu > div ul ul {
	list-style-type: none;
	display: none;
    padding: 0;
    margin: 0;
    position: absolute;
    top: 100%;
		width:100%;
		left:0;
		padding-left:20px!important;
}
.bland-selv-menu > div ul > li {
    display: inline-block;
		margin-left:2px;
		margin-right:2px;
}
.bland-selv-menu > div ul li li {}
.bland-selv-menu > div ul > li:hover > ul {
	display: block;
}
.bland-selv-menu > div ul > li > ul li:hover > ul {
	display: block;
    top: 0;
    left: 100%;
}
.home .bland-selv-menu div a {background-color:#fff;}
.home .bland-selv-menu div ul ul a {background-color:#EEEDFF;}
.home.bland-selv-menu div a:hover {background-color:#EEEDFF!important;}

.bland-selv-menu div a {

}
.bland-selv-menu > div ul > li > a {
	display: block;
    padding: 10px;
    background-color: #EEEDFF;
    box-sizing: border-box;
    text-decoration: none;
    color: #242F6A;
    font-weight: bold;
    font-size: 20px;
    min-width: 100px;
    text-align: center;
	border-radius:15px;
	margin-bottom:10px;
}

.bland-selv-menu > div ul > li:first-child > a {}
.bland-selv-menu > div ul > li > a:hover {
	background-color: #e2e1f8;
}

.bland-selv-menu > div ul ul {
	background-color: #fff;
	border-radius:15px;
	border:2px solid #e2e1f8;
	padding:5px;	
	position:absolute;
	text-align:left!important;
box-shadow: rgba(0, 0, 0, 0.25) 0px 25px 50px -12px;
}

.bland-selv-menu > div ul ul li {
	margin-bottom:10px!important;
	display:inline-block!important;
	width:19%;
	
}

.bland-selv-menu > div ul ul li a {
    padding: 8px;
    box-sizing: border-box;
	border-radius:15px;
	color:#444;
	display:inline-block;
	margin-top:10px;
	margin-bottom:-5px;
	background-color:#fff;
	min-width:none;
	width:100%!important;
}

.bland-selv-menu > div ul ul li a:first-child {}

.bland-selv-menu > div ul ul li a:hover {
	background-color: #807BDA;
	color:#fff;
}
.bland-selv-menu > div ul ul ul ~ a::after {
	content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    right: 15px;
    margin: auto;
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 6px 0 6px 6px;
    border-color: transparent transparent transparent rgba(255,255,255,0.3);
}
.bland-selv-menu label,
.bland-selv-menu input {
	display: none;
}

@media screen and (max-width: 700px) {

	.cat-parent ul.children{display:none!important;}
.bland-selv-menu li{display:block; width:100%;}

    .bland-selv-menu div label {
    	display: block;
        float: right;
        text-align: center;
        width: 40px;
        border-left: 1px solid #2b3543;
        padding: 15px 25px 15px 25px;
        opacity: 0.8;
    }
    .bland-selv-menu div input:checked ~ ul {
    	display: block;
        top: 100%;
        position: absolute;
        width: 100%;
        height: calc(100vh - 100%);
        overflow-y: scroll;
        overflow-x: hidden;
    }
	.bland-selv-menu div input:checked ~ ul li,
    .bland-selv-menu div input:checked ~ ul ul,
    .bland-selv-menu div input:checked ~ ul a {
    	position: static;
        display: block;
        width: 100%;
        top: 0;
        left: 0;
    }
    .bland-selv-menu div input:checked ~ ul ul ul ~ a::after {
    	border: 0;
    }
    .bland-selv-menu div a {
    	background-color: #29323d;
    }
	
}
    </style>';
}

add_action('wp_head', 'add_custom_menu_styles');
?>
